enchant();
window.onload = function() {
    //ゲームオブジェクトの生成
    var game = new Game(320, 320);
    
    //ロード完了時の処理
    game.onload = function(){
        //サーフェスの生成
        var surface = new Surface(320,320);
        
        //スプライトの生成
        var sprite = new Sprite(320, 320);        
        sprite.image = surface;
        
        //画面にスプライトを追加
        game.rootScene.addChild(sprite); 
        
        //サーフェスからコンテキストを取得して円を描画
        context = surface.context;
        context.beginPath();
        context.fillStyle = "rgb(0,0,255)"; 
        context.arc(60, 60, 40, 0, Math.PI*2, false);
        context.fill();
        context.closePath();
        context.stroke();
    }
    game.start();
}